<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>DOM Demo</title>
</head>
<body>
    <div id="companyContainer">
    </div>
    <script>
        fetch('https://frogaccelerator.com:8110/companies')
            .then(result => result.json())
            .then(companies => {
                const companyContainer = document.querySelector('#companyContainer');

                let companyHtml = "";
                for (const company of companies) {
                    // companyHtml = companyHtml + "<h1>" + company.name + "</h1><br><br>";
                    companyHtml = companyHtml + `
                        <h1>${company.name}</h1>
                        <p>Töötajaid: <b>${company.employees}</b></p>
                        <br>
                        <br>`;
                }
                companyContainer.innerHTML = companyHtml;
            })
    </script>
</body>
</html>